/* navbar */
.page-wrapper .page-body-wrapper .page-body{
  margin-top: 90px;
}

.page-wrapper.compact-wrapper .page-body-wrapper header.main-nav .main-navbar .nav-menu.gap-menu > li{
  margin-bottom: 8px;
}

.page-wrapper.compact-wrapper .page-body-wrapper header.main-nav .sidebar-user.br-top{
  border-top: 1px solid #e6edef;
  border-bottom: none;
}

/* border-radius */
.br-22{
  border-radius: 22px;
}

.custom-card {
    overflow: hidden;
    padding: 30px;
    height: 140px;
    margin-bottom: 0;
    display: flex;
    justify-content: center;
}

/* card animation */
.card-animation {
    --hover: 0;
    text-decoration: none;
    display: inline-block;
    width: 100%; /* Pastikan card memenuhi kolom */
  }
  
  .card-animation:hover {
    --hover: 1;
  }
  
  .figure-animation {
    width: 100%;
    aspect-ratio: 8 / 5; /* Gunakan aspect ratio untuk menjaga proporsi */
    --bg: hsl(205 80% calc(90% - (var(--hover) * 10%)));
    --accent: hsl(195.23deg 69.15% 36.86%);
    transition: background 0.2s;
    background: 
      radial-gradient(circle at top left, var(--accent), transparent 75%),
      var(--bg);
    margin: 0;
    position: relative;
    overflow: hidden;
    border-radius: 1.5rem;
    display: flex;
    flex-direction: column; /* Teks dan gambar tersusun vertikal */
    align-items: center;
    justify-content: center; /* Awal elemen berada di atas */
    text-align: center;
    color: white;
    font-family: Arial, sans-serif;
    min-height: 200px; /* Tetapkan tinggi minimum */
    height: 100%; /* Pastikan tinggi sesuai layout */
  }
  
  .img-animation {
    position: absolute;
    left: 75%;
    top: 55%;
    width: 45%;
    height: auto;
    object-fit: cover;
    opacity: 0.9; /* Overlay effect */
    transform: translate(-50%, -50%) scale(calc(1 + (var(--hover) * 0.2)));
    transition: transform 0.2s, opacity 0.2s;
  }
  
  .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgb(29 126 159 / 64%); /* Overlay color */
    z-index: 1;
    transition: background 0.2s;
  }
  
  .card-animation:hover .overlay {
    background: rgb(192 216 255 / 23%); /* Darken overlay on hover */
  }
  
  .text-overlay {
    z-index: 2; /* Di atas overlay */
    position: relative;
    display: flex; /* Gunakan Flexbox */
    align-items: center; /* Rata tengah vertikal */
    justify-content: center; /* Rata tengah horizontal */
    transition: transform 0.2s, opacity 0.2s;
    opacity: calc(0.8 + var(--hover) * 0.2);
    transform: translateY(calc(var(--hover) * -10%));
    padding: 12px;
    min-height: 60px; /* Tetapkan tinggi minimum */
    max-height: 100%; /* Batasi tinggi maksimum */
    text-align: center; /* Rata tengah teks */
    overflow: hidden; /* Potong teks jika terlalu panjang */
    text-overflow: ellipsis; /* Tambahkan titik-titik jika teks terpotong */
  }
  
  .txt-animation {
    font-size: 18px;
    color: #fff;
    text-decoration: none;
    transition: color 0.2s ease;
    word-wrap: break-word; /* Bungkus teks panjang agar tidak keluar dari card */
  }
  
  .card-animation:hover .txt-animation {
    color: #fff;
    font-weight: 800;
  }

  .bg-login {
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
  }

  .bg-logo{
    background: #045475;
    padding: 6px;
    border-radius: 8px;
  }

  .logo-login{
    height: 75px;
    margin-top: 14px;
  }

  .card-login{
    border-radius: 22px;
    backdrop-filter: blur(24px);
    background-color: #ffffff00;
    border: 1px solid #fff;
  }

  .card-role{
    color: #424b4f;
    border-radius: 22px;
    backdrop-filter: blur(4px);
    background-color: #ffffffd9;
    border: 1px solid #fff;
  }

  .bg-transparant{
    background-color: transparent;
  }

  .color-txt-login{
    color: #045475;
  }

  /* button */

  .btn-primary-cstm-uns {
    color: #fff;
    background-color: #045475 !important;
    border-color: #045475 !important;
  }

  .btn-primary-cstm-uns:hover {
    color: #fff;
    background-color: #045475 !important;
    border-color: #045475 !important;
  }

  .btn-primary-uns {
    color: #fff;
    background-color: #045475 !important;
    border-color: #045475 !important;
  }

  .btn-primary-uns:hover {
    color: #fff;
    background-color: #044661 !important;
    border-color: #044661 !important;
    transform: translateY(-6px);
    transition: all 0.5s ease;
  }

  .btn-primary-light-uns {
    background-color: rgb(0 85 114 / 10%) !important;
    border: none !important;
    color: #005572 !important;
    -webkit-transition: 0.5s;
    transition: 0.5s;
    padding: 6px 20px;
    font-weight: 600;
  }

  .btn-primary-light-uns:hover {
    background-color: #045475 !important;
    color: #fff !important;
  }

  .btn-primary-light-uns:focus a, .btn-primary-light-uns:hover a {
    color: #fff !important;
  }

  .page-wrapper.compact-wrapper .page-body-wrapper header.main-nav .main-navbar .nav-menu > li .nav-link.active, .page-wrapper.compact-wrapper .page-body-wrapper header.main-nav .main-navbar .nav-menu > li .nav-link:hover{
    background-color: #045475;
  }

/* form */
.theme-form .form-group input[type=text], .theme-form .form-group input[type=email], .theme-form .form-group input[type=search], .theme-form .form-group input[type=password], .theme-form .form-group input[type=number], .theme-form .form-group input[type=tel], .theme-form .form-group input[type=date], .theme-form .form-group input[type=datetime-local], .theme-form .form-group input[type=time], .theme-form .form-group input[type=datetime-local], .theme-form .form-group input[type=month], .theme-form .form-group input[type=week], .theme-form .form-group input[type=url], .theme-form .form-group input[type=file], .theme-form .form-group select{
  color: #2c2b2b;
}